name: chat
description: A new Flutter project.
publish_to: "none" # Remove this line if you wish to publish to pub.dev
version: 1.0.0
environment:
  sdk: ">=2.16.2 <3.0.0"
dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  get: ^4.6.5
  dio: ^4.0.6
  get_storage: ^2.0.3
  qr_flutter: ^4.0.0
  azlistview: ^2.0.0
  lpinyin: ^2.0.3
  vibration: ^1.7.6
  scan: ^1.6.0
  package_info_plus: ^0.0.1
  device_info_plus: ^0.0.1
  flutter_easyrefresh: ^2.2.2
  cached_network_image: ^3.2.0
  flutter_spinkit: ^5.1.0
  flutter_update_dialog: ^2.0.0
  open_file: ^3.2.1
  adaptive_dialog: ^1.6.3
  fluttertoast: ^8.1.1
  pinput: ^2.2.16
  flutter_swiper_null_safety: ^1.0.2
  flutter_easyloading: ^3.0.5
  proste_indexed_stack: ^0.2.4
  image_cropper: ^3.0.0
  bip32: ^2.0.0
  bip39_multi_language:
    git:
      url: https://github.com/cjango/dart-bip39-multi-language.git
      ref: master
  fast_base58: ^0.2.1
  hash: ^1.0.4
  tencent_im_sdk_plugin: ^4.1.9
  wechat_assets_picker: ^7.2.0
  video_player: ^2.4.7
  scroll_to_index: ^2.1.1
  dart_date: ^1.1.1
  permission_handler: ^9.2.0
  tuple: ^2.0.1
  photo_view: ^0.14.0
  photo_manager: 2.2.1
  chewie: ^1.3.5
  encrypt: ^5.0.1
  flutter_plugin_record_plus: ^0.0.11
  wechat_camera_picker: ^3.5.0+1
  filesize: ^2.0.1
  file_picker: ^4.6.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^1.0.0
flutter:
  uses-material-design: true
  assets:
    - assets/backgrounds/
    - assets/chats/
    - assets/icons/
    - assets/images/
    - assets/images/empty/
    - assets/transits/
